Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604679 - Branch/Versioning in GWT ui does not match regular UI
Branch/Versioning in GWT ui does not match regular UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.4
All All
urgent Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: jon24-provisioning
  Show dependency treegraph
 
Reported: 2010-06-16 09:37 EDT by Corey Welton
Modified: 2013-08-05 20:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gwt About box from 7/12/10 JON build (46.49 KB, image/png)
2010-07-13 13:56 EDT, Ian Springer
no flags Details

  None (edit)
Description Corey Welton 2010-06-16 09:37:31 EDT
Description of problem:
Discrepancy between the apparent release versions at different parts in the UI.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Login to RHQ
2.  Help > About:  Take note of the "version:" value
3.  Administration > Content > Bundles
4.  Click the "RHQ" logo in the upper lefthand corner; Take note of the "version:" value

 
Actual results:
Version listed in standard UI differs from that in GWT UI


Expected results:
Uniform versioning, or something to explain discrepancy to users.

Additional info:
Comment 1 Ian Springer 2010-07-08 17:47:19 EDT
Fixed on RHQ side w/ commit a01b65d, which has been pushed to release-3.0.0. I still need to finish up the changes on the JON side (i.e. JON's coregui About box should display the JON product name, version, and build number, not the RHQ product name, version, and build number).
Comment 2 Ian Springer 2010-07-09 14:16:55 EDT
JON side is now done - JON SVN r10799.
Comment 3 Corey Welton 2010-07-12 09:37:35 EDT
Not sure this is working right.  This is the output from the about boxes for standard UI and GWT UI, respectively, from the latest QA nightly:


version: 2.4.0.GA_QA
build number: 10815:7372622

Version: 3.0.0-SNAPSHOT
Build Number: 0

Note the discrepancy in the versioning -- and the capitalization as well, if you want to nitpick about it.
Comment 4 Ian Springer 2010-07-13 13:56:16 EDT
Created attachment 431538 [details]
gwt About box from 7/12/10 JON build
Comment 5 Ian Springer 2010-07-13 13:57:59 EDT
I just tried this with last night's JON build from the Hudson 'tag-jon-release' job, and the gwt About box looks correct (see attached screenshot). Would you please give it another try?
Comment 6 Corey Welton 2010-07-14 10:31:14 EDT
Does seem to be mostly fixed now.  Only discrepancy is the lowercase V/v

version: 2.4.0.GA_QA
build number: 10824:7279183

Version: 2.4.0.GA_QA
Build Number: 10824:7279183

That said, I can close this one out.  If really necessary, i will enter a separate bz about the capitalization.
Comment 7 Corey Welton 2010-08-12 12:58:58 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.